This version of the Expo app is out of date. Uninstall the app and run again to upgrade.

I have upgraded the Expo SDK from 33 to 34 as per instructions mentioned below.
https://docs.expo.io/versions/latest/workflow/upgrading-expo-sdk-walkthrough/

Gets the warning “This version of the Expo app is out of date. Uninstall the app and run again to upgrade”.

Tried below steps.

  1. npm update -g
  2. npm uninstall expo-cli -g
  3. npm cache clean --force
  4. npm install -g expo-cli

Ran the command expo start --localhost --android and get the warning below.

image

expo diagnostics

Expo CLI 3.0.9 environment info: System: OS: Windows 10 Binaries: npm: 6.10.3 - C:\Program Files\nodejs\npm.CMD

I am using an Android device (Huawei nova 3i, Android version 9, Model INE-LX2). The app is working fine. I have uninstalled the expo client app and reinstalled it.

Have tried solutions in similar issues reported by others, but out of luck.

Any ideas??

Tracking this here, so we’ll keep the conversation there so that it’s all in one place :+1: